FirstComeFirstServeDispatchPolicy (Axis API)
Keywords: org.apache.axis.ime.internal.FirstComeFirstServeDispatchPolicy,FirstComeFirstServeDispatchPolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.internal
Class FirstComeFirstServeDispatchPolicy

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.FirstComeFirstServeDispatchPolicy

All Implemented Interfaces:
  ReceivedMessageDispatchPolicy

public class FirstComeFirstServeDispatchPolicy
extends java.lang.Object
implements ReceivedMessageDispatchPolicy

Author:
  James M Snell (jasnell@us.ibm.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`protected KeyedBuffer` | `RECEIVE`
`protected KeyedBuffer` | `RECEIVE_REQUESTS`

Constructor Summary
`FirstComeFirstServeDispatchPolicy(KeyedBuffer RECEIVE, KeyedBuffer RECEIVE_REQUESTS)`

Method Summary
`void` | `dispatch(MessageExchangeSendContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### RECEIVE_REQUESTS

    protected KeyedBuffer RECEIVE_REQUESTS

### RECEIVE

    protected KeyedBuffer RECEIVE

Constructor Detail

### FirstComeFirstServeDispatchPolicy

    public FirstComeFirstServeDispatchPolicy(KeyedBuffer RECEIVE,
                                             KeyedBuffer RECEIVE_REQUESTS)

Method Detail

### dispatch

    public void dispatch(MessageExchangeSendContext context)

  Specified by:
    `dispatch` in interface `ReceivedMessageDispatchPolicy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.